<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Piotr "Piterus" Jelinski
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."stts_panel/infusion_db.php";

if (file_exists(INFUSIONS."stts_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."stts_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."stts_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['stts_title'];
$inf_description = $locale['stts_desc'];
$inf_version = "1.0.0.5";
$inf_developer = "Piterus";
$inf_email = "piterus.drackus@gmail.com";
$inf_weburl = "http://piterus.ugu.pl";

$inf_folder = "stts_panel"; 

$inf_newtable[1] = DB_STTS." (
szerokosc_stopnie DOUBLE DEFAULT '51' NOT NULL,
szerokosc_minuty DOUBLE DEFAULT '14' NOT NULL,
dlugosc_stopnie DOUBLE DEFAULT '24' NOT NULL,
dlugosc_minuty DOUBLE DEFAULT '01' NOT NULL,
szerokosc_kier CHAR DEFAULT 'N' NOT NULL,
dlugosc_kier CHAR DEFAULT 'E' NOT NULL
) TYPE=MyISAM;";
$inf_insertdbrow[1] = DB_STTS." (szerokosc_stopnie, szerokosc_minuty, dlugosc_stopnie, dlugosc_minuty, szerokosc_kier, dlugosc_kier) VALUES('51', '14', '24', '01', 'N', 'E')";
$inf_droptable[1] = DB_STTS;

$inf_newtable[2] = DB_STTS_SET." (
infusion_power CHAR(3) DEFAULT 'on' NOT NULL,
ilosc DOUBLE DEFAULT '2' NOT NULL,
theme_day varchar(100) DEFAULT 'Gillette' NOT NULL,
theme_night varchar(100) DEFAULT 'Gillette' NOT NULL,
theme_daybreak varchar(100) DEFAULT 'Gillette' NOT NULL,
theme_dusk varchar(100) DEFAULT 'Gillette' NOT NULL,
tdbton INT(4) DEFAULT '1800' NOT NULL,
tdbtoff INT(4) DEFAULT '1800' NOT NULL,
tdkton INT(100) DEFAULT '1800' NOT NULL,
tdktoff INT(100) DEFAULT '1800' NOT NULL
) TYPE=MyISAM;";
$inf_insertdbrow[2] = DB_STTS_SET." (ilosc, theme_day, theme_night, theme_daybreak, theme_dusk, tdbton, tdbtoff, tdkton, tdktoff) VALUES('2', 'Gillette', 'Gillette', 'Gillette', 'Gillette', '1800', '1800', '1800', '1800')";
$inf_droptable[2] = DB_STTS_SET;

$inf_adminpanel[1] = array(
	"title" => $locale['stts_admin1'],
	"image" => "stp.gif",
	"panel" => "stts_admin.php",
	"rights" => "ST1S"
);

?>
