<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: stts_panel.php
| Author: Piotr "Piterus" Jelinski
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s). 
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."stts_panel/infusion_db.php";
include INFUSIONS."stts_panel/include/engine.php";

if (file_exists(INFUSIONS."stts_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."stts_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."stts_panel/locale/English.php";
}

$stts_setings_1 = dbquery("SELECT * FROM ".DB_STTS_SET);
$stts_12 = dbarray($stts_setings_1);

$stts_setings_2 = dbquery("SELECT * FROM ".DB_SETTINGS);
$stts_13 = dbarray($stts_setings_2);

//zmienne themow
$main_theme = $stts_13['theme'];
$daybrake_theme = $stts_12['theme_daybreak'];
$day_theme =$stts_12['theme_day'];
$dusk_theme =$stts_12['theme_dusk'];
$night_theme =$stts_12['theme_night'];


//$stts_13['theme_daybrake_time_on'];
if ($stts_12['infusion_power']=="on"){

//czasy  switu
$date_daybreak_on = $time_rise - $stts_12['tdbton'];
$date_daybreak_off = $time_rise + $stts_12['tdbtoff'];

//czasy zmieszchu
$date_dusk_on = $time_set - $stts_12['tdkton'];
$date_dusk_off = $time_set + $stts_12['tdktoff'];

//przekodowanie na ludzki jezyk czasow
$date_r1 = date("H", $time_rise);//godzina
$date_r2 = date("i", $time_rise);//minuta
$date_s = date("d.m.Y H:i", $time_set);//czas pelny zachodu slonca
$date_s1 = date("H", $time_set);//godzina
$date_s2 = date("i", $time_set);//minuta


$date_date_daybreak_on = date("d.m.Y H:i", $date_daybreak_on);
$date_date_daybreak_off = date("d.m.Y H:i", $date_daybreak_off);
$date_date_dusk_on = date("d.m.Y H:i", $date_dusk_on);
$date_date_dusk_off = date("d.m.Y H:i", $date_dusk_off);

$date_date_daybreak_on_h = date("H", $date_daybreak_on);
$date_date_daybreak_off_h = date("H", $date_daybreak_off);
$date_date_dusk_on_h = date("H", $date_dusk_on);
$date_date_dusk_off_h = date("H", $date_dusk_off);

$date_date_daybreak_on_m = date("i", $date_daybreak_on);
$date_date_daybreak_off_m = date("i", $date_daybreak_off);
$date_date_dusk_on_m = date("i", $date_dusk_on);
$date_date_dusk_off_m = date("i", $date_dusk_off);

//Ustawienie theme
$theme_data = time();
$theme_data_h = date('G');
$theme_data_m = date('H');

if ($stts_12['ilosc']==4){
// Wybieranie theme  ( Daybreak , Day , Dusk , Night )
if (($theme_data >=$date_daybreak_on) AND  ($theme_data <$date_daybreak_off))
		//Daybreak $main_theme
				{
			if($stts_12['theme_daybreak'] != $stts_13['theme'])
				{
					$result = dbquery("UPDATE ".DB_SETTINGS." SET theme='$daybreak_theme'");
					redirect (FUSION_SELF);
				}
		}
	elseif (($theme_data >=$date_daybreak_off) AND ($theme_data <$date_dusk_on))
		//Day
		{
			if($stts_12['theme_day'] != $stts_13['theme'])
				{
					$result = dbquery("UPDATE ".DB_SETTINGS." SET theme='$day_theme'");
					redirect (FUSION_SELF);
				}
		}
	elseif (($theme_data >=$date_dusk_on) AND ($theme_data <$date_dusk_off))
		//Dusk
		{
			if($stts_12['theme_dusk'] != $stts_13['theme'])
				{
					$result = dbquery("UPDATE ".DB_SETTINGS." SET theme='$dusk_theme'");
					redirect (FUSION_SELF);
				}
		}
	elseif (($theme_data >=$date_dusk_off) AND ($theme_data <$date_daybreak_on+86400))
		//Night
		{			
			if($stts_12['theme_night'] != $stts_13['theme'])
				{
					$result = dbquery("UPDATE ".DB_SETTINGS." SET theme='$night_theme'");
					redirect (FUSION_SELF);
				}
		}
	else 
		//Night
		{
			if($stts_12['theme_night'] != $stts_13['theme'])
				{
					$result = dbquery("UPDATE ".DB_SETTINGS." SET theme='$night_theme'");
					redirect (FUSION_SELF);
				}
		}
		
}elseif ($stts_12['ilosc']==2) {

	if (($theme_data >=$time_rise) AND ($theme_data <$time_set)) //Day
		{
			if($stts_12['theme_day'] != $stts_13['theme'])
				{
					$result = dbquery("UPDATE ".DB_SETTINGS." SET theme='$day_theme'");
					redirect (FUSION_SELF);
				}
		}
	else //Night
		{
			if($stts_12['theme_night'] != $stts_13['theme'])
				{
					$result = dbquery("UPDATE ".DB_SETTINGS." SET theme='$night_theme'");
					redirect (FUSION_SELF);
				}
		}
} else {
//$theme = 'Day';
	
	if($stts_12['theme_day'] != $stts_13['theme'])
				{
					$result = dbquery("UPDATE ".DB_SETTINGS." SET theme='$day_theme'");
					redirect (FUSION_SELF);
				}
}

if (checkrights("IP")) {
openside($locale['stts_000']);
	echo $locale['stts_001'];
	closeside();
}
}else{

if (checkrights("IP")) {
openside($locale['stts_000']);
	echo $locale['stts_002'];
closeside();
}
}
?>